<xsl:stylesheet  version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >

	<xsl:strip-space elements="*"/> 
	<xsl:output method="text" encoding="utf-8" indent="yes"/>
<!--
	<xsl:template match="comment()" />

	<xsl:template match="zapit">
			<zapit api="4">
				<xsl:apply-templates/>
			</zapit>
	</xsl:template>
-->
	<xsl:template name="decimalToHex">
    	<xsl:param name="dec"/>
    	<xsl:if test="$dec > 0">
        	<xsl:call-template name="decimalToHex">
            	<xsl:with-param name="dec" select="floor($dec div 16)"/>
        	</xsl:call-template>
        	<xsl:value-of select="substring('0123456789ABCDEF', (($dec mod 16) + 1), 1)"/>
    	</xsl:if>
	</xsl:template>

	<xsl:template match="Bouquet">#NAME <xsl:value-of select="@name"/>	
			<xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="S">
#SERVICE 1:0:1:<xsl:value-of select="@i"/>:<xsl:value-of select="@t"/>:<xsl:value-of select="@on"/>:<xsl:call-template name="decimalToHex"><xsl:with-param name="dec"><xsl:value-of select="@s"/></xsl:with-param></xsl:call-template>0000:0:0:0::<xsl:value-of select="@un"/>
	</xsl:template>
</xsl:stylesheet>